=== debian/changelog ===
groff (1.22.2-8) unstable; urgency=medium

  * Update Vcs-Browser URL yet again.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2014 17:50:22 +0100

groff (1.22.2-7) unstable; urgency=medium

  * Simplify debian/rules slightly to avoid hardcoding the list of targets
    that dh(1) understands.
  * Update Vcs-Browser URL for alioth cgit.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2014 03:51:26 +0100

groff (1.22.2-6) unstable; urgency=medium

  * Note that groff_mmse(7) is only available in Swedish locales (closes:
    #710431).
  * Describe \- as a minus sign rather than a dash in /etc/groff/man.local
    and /etc/groff/mdoc.local (thanks, Bjarni Ingi Gislason; closes:
    #742086).
  * Adjust debian/source/lintian-overrides to match Lintian's current output
    correctly.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jun 2014 03:09:27 +0100

groff (1.22.2-5) unstable; urgency=medium

  * Remove the W3C validation icons from generated HTML, to avoid tracking.
  * Policy version 3.9.5: no changes required.
  * Remove "debian/rules quilt-setup" target, obsoleted by git-dpm.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Jan 2014 09:55:32 +0000

groff (1.22.2-4) unstable; urgency=low

  * Move debian/source.lintian-overrides to preferred location of
    debian/source/lintian-overrides.
  * Use 'set -e' rather than '#! /bin/sh -e' in maintainer scripts.
  * Fix bad Texinfo markup for \z escape.
  * Fix grolbp crash if a printer was never created (thanks, Mayhem team at
    CMU; closes: #716003).
  * Force gzip compression for groff-base.deb, to avoid causing problems for
    debootstrap on non-Debian-based systems following dpkg 1.17.0.
  * Switch to git; adjust Vcs-* fields.
  * Add support for various new BSD versions (thanks, Guillem Jover; closes:
    #717608).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Jan 2014 02:22:41 +0000

groff (1.22.2-3) unstable; urgency=low

  [ Colin Watson ]
  * Override license-problem-gfdl-invariants Lintian errors; these files are
    dual-licensed (closes: #708944).

  [ Daniel Schepler ]
  * Stop dh_install failing in DEB_BUILD_OPTIONS=no-groff-x11 bootstrap
    builds (closes: #709816).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2013 23:09:35 +0100

groff (1.22.2-2) unstable; urgency=low

  * Update /etc/groff/man.local and /etc/groff/mdoc.local with new
    commented-out code to force "-" back to Unicode HYPHEN, since upstream
    groff has mapped this to HYPHEN-MINUS since 1.20, and remove the
    Debian-local mapping of "\-" for the same reason.  Remove mention of
    this from README.Debian since the upstream change of default means that
    this is only of minority interest (closes: #703690).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Apr 2013 22:14:00 +0100

groff (1.22.2-1) unstable; urgency=low

  * New upstream release.
  * Note in the groff package description that the chem preprocessor
    requires perl.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Mar 2013 08:36:01 +0000
