=== debian/control ===
Source: groff
Section: text
Priority: important
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.5
Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.16.1.1~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
Homepage: https://www.gnu.org/software/groff/
Vcs-Git: git://anonscm.debian.org/users/cjwatson/groff.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/groff.git/

Package: groff-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: groff
Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
Breaks: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
Multi-Arch: foreign
Description: GNU troff text-formatting system (base system components)
 This package contains the traditional UN*X text formatting tools
 troff, nroff, tbl, eqn, and pic. These utilities, together with the
 man-db package, are essential for displaying the on-line manual pages. 
 .
 groff-base is a stripped-down package containing the necessary components
 to read manual pages in ASCII, Latin-1, and UTF-8, plus the PostScript
 device (groff's default). Users who want a full groff installation, with
 the standard set of devices, fonts, macros, and documentation, should
 install the groff package.

Package: groff
Priority: optional
Architecture: any
Depends: groff-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript, imagemagick, libpaper1, netpbm, perl, psutils
Provides: jgroff, groff-x11
Breaks: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
Multi-Arch: foreign
Description: GNU troff text-formatting system
 This package contains optional components of the GNU troff text-formatting
 system. The core package, groff-base, contains the traditional tools like
 troff, nroff, tbl, eqn, and pic. This package contains additional devices
 and drivers for output to DVI, HTML (when recommended packages are
 installed - see below), PDF, HP LaserJet printers, and Canon CAPSL LBP-4
 and LBP-8 printers.
 .
 The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
 conveniently viewed on an X display using the standard X11 fonts, are now
 included here. They were previously in a separate package, groff-x11.
 .
 Besides these, the groff package contains man pages describing the language
 and its macro sets, info documentation, and a number of supplementary
 programs:
 .
  - gxditview, which is used to display the output of the X* devices, and
    can also be used to view PostScript output from groff;
  - grn, a preprocessor for pictures in the 'gremlin' format;
  - tfmtodit, which creates font files for use with 'groff -Tdvi';
  - hpftodit, which creates font files for use with 'groff -Tlj4';
  - afmtodit, which creates font files for use with 'groff -Tps';
  - refer, which preprocesses bibliographic references for use with groff;
  - indxbib, which creates inverted indices for bibliographic databases used
    by 'refer';
  - lkbib and lookbib, which search bibliographic databases;
  - addftinfo, which adds metric information to troff font files for use
    with groff;
  - pfbtops, which translates a PostScript font in .pfb format to ASCII for
    use with groff;
  - mmroff, a simple groff preprocessor which expands references in mm;
  - pic2graph, which converts PIC diagrams into cropped image files;
  - eqn2graph, which converts EQN equations into cropped image files;
  - pdfmom, which runs 'groff -mom' to produce PDFs.
 .
 All the standard macro packages are supported.
 .
 Some facilities only work if certain recommended packages are installed:
 .
  - ghostscript, netpbm, psutils: required for HTML output;
  - imagemagick: required for the pic2graph and eqn2graph programs;
  - libpaper1: paper size detection in dvi, lbp, lj4, and ps devices (falls
    back to a4 if not installed);
  - perl: required for PDF output and for the chem preprocessor.
