## groff 1.22.3

=== debian/changelog ===
groff (1.22.3-10) unstable; urgency=medium

  * Set Rules-Requires-Root: no.
  * Remove "touch configure" from dh_auto_build override, which predated the
    use of dh-autoreconf.
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 02:09:07 +0000

groff (1.22.3-9) unstable; urgency=medium

  * debian/watch: Switch URL scheme to HTTP.
  * Policy version 3.9.8: no changes required.
  * Backport from upstream:
    - tmac/zh.tmac: New file to support basic Chinese, both simplified and
      traditional (closes: #848030).
  * Install zh.tmac in groff-base.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Dec 2016 13:06:22 +0000

groff (1.22.3-8) unstable; urgency=medium

  * Map "\-" to a plain hyphen when rendering HTML/XHTML output for manual
    pages (closes: #829332).

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jul 2016 21:04:05 +0100

groff (1.22.3-7) unstable; urgency=medium

  * Set build flags appropriately for the build architecture during the
    native build pass (based loosely on a patch from Balint Reczey, for
    which thanks; closes: #812872).
  * Remove debian/build-native/ on clean.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jan 2016 14:57:16 +0000

groff (1.22.3-6) unstable; urgency=medium

  * Override dh-exec-subst-unknown-variable Lintian tags, which are false
    positives.
  * Use HTTPS for Vcs-* URLs.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 11:49:56 +0000

groff (1.22.3-5) unstable; urgency=medium

  * Drop obsolete build-dependency on xutils-dev.
  * Remove no-groff-x11 bootstrapping hack.  If anything like this is still
    needed, it should be reimplemented using build profiles, but since groff
    can be installed from a foreign architecture using multiarch I believe
    that this is now unnecessary.
  * Upgrade to debhelper v9, using dh-exec.
  * Build with large file support.
  * Remove long-obsolete maintainer script file migration code from 2001.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jan 2016 18:09:43 +0000

groff (1.22.3-4) unstable; urgency=medium

  * Fix incorrect display-UTC-time patch to gropdf (closes: #805374).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Nov 2015 13:45:10 +0000

groff (1.22.3-3) unstable; urgency=medium

  * Add SOURCE_DATE_EPOCH support to mdate.sh, and restore upstream code
    there to force the C locale.
  * Use gmtime in mdate.sh.
  * Remove unnecessary randomness from hdtbl example output.
  * Always use UTC times for display.
  * Sort Perl hash keys.
  * Build with LC_ALL=C.UTF-8.  To some extent this is a cop-out as other
    packages using groff may still need to do similarly; I believe the
    remaining important place where groff is character-set-sensitive in a
    way that affects reproducibility of output is in the HTML postprocessor,
    which sometimes inserts spaces in UTF-8 locales but not (for example) in
    ASCII locales.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Nov 2015 13:14:24 +0000

groff (1.22.3-2) unstable; urgency=medium

  * Explicitly compile with -std=gnu++98, to avoid potential future problems
    with GCC 6 defaulting to a newer standard.
  * Implement SOURCE_DATE_EPOCH for reproducible builds (closes: #762854).

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 11:51:53 +0000

groff (1.22.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/groff-base.mime: Handle text/troff as well as
    application/x-troff-man.
  * Policy version 3.9.6: no changes required.
  * Add OpenPGP signature checking configuration to watch file.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Nov 2014 22:07:25 +0000
