=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: text
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.16.1.1~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
+Standards-Version: 3.9.8
+Build-Depends: bison (>= 1:1.875b), debhelper (>= 9), dh-exec, dpkg-dev (>= 1.17.0~), ghostscript, netpbm, psutils, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
 Homepage: https://www.gnu.org/software/groff/
-Vcs-Git: git://anonscm.debian.org/users/cjwatson/groff.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/groff.git/
+Vcs-Git: https://salsa.debian.org/debian/groff
+Vcs-Browser: https://salsa.debian.org/debian/groff
+Rules-Requires-Root: no
 
 Package: groff-base
 Architecture: any
