=== debian/rules ===
--- 
+++ 
@@ -4,33 +4,36 @@
 
 export DH_OPTIONS
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export LC_ALL := C.UTF-8
+
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
 export DEB_CFLAGS_MAINT_APPEND := -Wall
-export DEB_CXXFLAGS_MAINT_APPEND := -Wall
+export DEB_CXXFLAGS_MAINT_APPEND := -Wall -std=gnu++98
 
-include /usr/share/dpkg/buildflags.mk
+# Based loosely on /usr/share/dpkg/buildflags.mk, but we need to do this
+# ourselves in order to get flags for both build and host architectures.
+# Compare https://bugs.debian.org/644412.
 
-buildflags := CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
-	      CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+export_envvar := \
+	DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" \
+	DEB_CPPFLAGS_MAINT_APPEND="$(DEB_CPPFLAGS_MAINT_APPEND)" \
+	DEB_CFLAGS_MAINT_APPEND="$(DEB_CFLAGS_MAINT_APPEND)" \
+	DEB_CXXFLAGS_MAINT_APPEND="$(DEB_CXXFLAGS_MAINT_APPEND)"
+
+buildflags := $(shell $(export_envvar) dpkg-buildflags --export=cmdline)
+buildflags_native := $(shell \
+	DEB_HOST_ARCH="$(DEB_BUILD_ARCH)" $(export_envvar) \
+	dpkg-buildflags --export=cmdline)
 
 # From Makefile.in
 version  = $(shell cat VERSION)
 revision = $(shell sed -e 's/^0$$//' -e 's/^[1-9].*$$/.&/' REVISION)
-upstream = $(version)$(revision)
-datadir  = usr/share/groff/$(upstream)
+export UPSTREAM_VERSION = $(version)$(revision)
+datadir  = usr/share/groff/$(UPSTREAM_VERSION)
 
 gbtmp = debian/groff-base
 gtmp  = debian/groff
-
-ifeq (,$(filter no-groff-x11,$(DEB_BUILD_OPTIONS)))
-GROFF_X11 := yes
-else
-GROFF_X11 := no
-endif
-
-ifeq ($(GROFF_X11),no)
-  confflags += --without-x
-endif
 
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -46,18 +49,19 @@
 override_dh_auto_configure:
 	-rm -f config.log config.cache
 	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
-		dh_auto_configure -- $(confflags) \
+		dh_auto_configure -- \
+			--libdir=\$${prefix}/lib \
 			--with-appresdir=/etc/X11/app-defaults
 	mkdir -p debian/build/src/libs/gnulib
 	cd debian/build/src/libs/gnulib && \
 		$(buildflags) \
 		$(CURDIR)/src/libs/gnulib/configure $(confflags_gnulib)
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
+	$(buildflags_native) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
 		DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE) \
 		env -u CONFIG_SITE \
 		dh_auto_configure --builddirectory=debian/build-native -- \
-			$(confflags) \
+			--libdir=\$${prefix}/lib \
 			--with-appresdir=/etc/X11/app-defaults
 endif
 
@@ -91,7 +95,6 @@
 endif
 
 override_dh_auto_build:
-	touch configure		# avoid autoconf build-dependency
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	$(MAKE) -C debian/build-native \
 		extratmacdirs=/usr/share/groff/tmac \
@@ -108,18 +111,7 @@
 		docdir=\$${prefix}/share/doc/groff-base \
 		INSTALL_INFO=:
 
-debian/%: debian/%.in
-ifeq ($(GROFF_X11),yes)
-	sed -e 's/@VERSION@/$(upstream)/g' -e 's/@IF_GROFF_X11@//g' $< > $@
-else
-	sed -e 's/@VERSION@/$(upstream)/g' -e 's/@IF_GROFF_X11@/#/g' $< > $@
-endif
-
 override_dh_install:
-	$(MAKE) -f debian/rules \
-		debian/groff-base.dirs \
-		debian/groff-base.install \
-		debian/groff.install
 	dh_install --fail-missing
 	# Debian additions to *.local
 	cat debian/mandoc.local >> $(gbtmp)/etc/groff/man.local
@@ -140,14 +132,17 @@
 override_dh_compress:
 	dh_compress -X.mom
 
+override_dh_fixperms:
+	dh_fixperms
+	# Fix a few incorrect permissions set by upstream Makefiles.
+	chmod +x $(gtmp)/$(datadir)/font/devpdf/util/BuildFoundries
+	chmod -x \
+		$(gtmp)/usr/lib/groff/glilypond/args.pl \
+		$(gtmp)/usr/lib/groff/glilypond/oop_fh.pl \
+		$(gtmp)/usr/lib/groff/glilypond/subs.pl \
+		$(gtmp)/usr/lib/groff/groff_opts_no_arg.txt \
+		$(gtmp)/usr/lib/groff/groff_opts_with_arg.txt
+
 override_dh_builddeb:
 	dh_builddeb -pgroff-base -- -Zgzip
 	dh_builddeb -Ngroff-base -- -Zxz
-ifneq ($(GROFF_X11),yes)
-	@echo
-	@echo "=========================================================="
-	@echo "WARNING! groff has been built without X support."
-	@echo "Please do not upload these packages to the Debian archive!"
-	@echo "=========================================================="
-	@echo
-endif
