=== debian/changelog ===
groff (1.22.4-6) unstable; urgency=medium

  [ Colin Watson ]
  * Document Debian-specific man/mdoc SGR defaults in grotty(1) (closes:
    #963490).

  [ Helmut Grohne ]
  * Annotate Build-Depends: poppler-utils <!nocheck> (closes: #981160).

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2021 09:42:45 +0000

groff (1.22.4-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Vagrant Cascadian ]
  * Ensure reproducible builds regardless of usrmerge (closes: #949324).

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 May 2020 09:24:11 +0100

groff (1.22.4-4) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.
  * Cherry-pick from upstream:
    - Correctly handle groff_mdoc(7) .Lk arguments starting with a dot
      (closes: #946868).
    - Update NetBSD, OpenBSD, FreeBSD, Darwin, and DragonFly version strings
      (closes: #867123).

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name
    (from ./configure), Repository.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Rely on pre-initialized dpkg-architecture variables.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Dec 2019 22:38:19 +0000

groff (1.22.4-3) unstable; urgency=medium

  * Avoid Perl's unsafe "<>" operator (closes: #920269).

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Feb 2019 19:44:28 +0000

groff (1.22.4-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Update build-native paths to new layout (closes: #917779).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Jan 2019 19:13:49 +0000

groff (1.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Dec 2018 23:35:24 +0000

groff (1.22.4~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop papersize-pre-html.patch: the "printing" operation here is only for
    the purpose of extracting images, so all that matters is that the paper
    size be consistent across the various tools that are invoked.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Dec 2018 12:55:46 +0000

groff (1.22.4~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * Build-depend on gsfonts, so that devpdf's U-* fonts are generated.
  * Build-depend on poppler-utils, so that the new tests of mom examples
    work.

 -- Colin Watson <cjwatson@debian.org>  Sat, 01 Dec 2018 01:27:42 +0000

groff (1.22.4~rc3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Colin Watson ]
  * Adjust Vcs-* headers to reflect experimental branch.
  * Add GitLab CI configuration.
  * Adjust git-dpm tagging configuration.
  * Add alpha.gnu.org to debian/watch, for pre-releases.
  * New upstream release candidate.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Nov 2018 11:09:18 +0000

groff (1.22.4~rc2-3) experimental; urgency=medium

  * Restore text versions of meintro.ps, meref.ps, and pic.ps, broken in
    1.22.3.rc1-1.
  * Remove debian/groff.info; upstream's build system installs these files
    by itself now.
  * Use #! /usr/bin/perl for all installed Perl scripts, per policy 10.4.
  * Remove dh_builddeb override to force gzip compression for groff-base;
    most of the rest of the debootstrap-installed set needs xz nowadays so
    that ship has sailed.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Nov 2018 13:20:36 +0000

groff (1.22.4~rc2-2) experimental; urgency=medium

  * Move pdfpic.tmac to groff-base, since troffrc reads it.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:30:52 +0100

groff (1.22.4~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Mar 2018 10:48:04 +0100

groff (1.22.3.rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch debian/watch to HTTPS.
  * Add signing key of new upstream maintainer (Bertrand Garrigues) to
    debian/upstream/signing-key.asc.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Mar 2018 23:11:38 +0000
