=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: bison (>= 1:1.875b), debhelper (>= 9), dh-exec, dpkg-dev (>= 1.17.0~), ghostscript, netpbm, psutils, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), dh-autoreconf
+Build-Depends: bison (>= 1:1.875b), debhelper-compat (= 12), dh-exec, dpkg-dev (>= 1.17.0~), ghostscript, netpbm, psutils, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8), pkg-config, libuchardet-dev, gsfonts, poppler-utils <!nocheck>
 Homepage: https://www.gnu.org/software/groff/
-Vcs-Git: https://salsa.debian.org/debian/groff
+Vcs-Git: https://salsa.debian.org/debian/groff.git
 Vcs-Browser: https://salsa.debian.org/debian/groff
 Rules-Requires-Root: no
 
@@ -13,13 +13,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff
-Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
-Breaks: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
+Replaces: groff (<< 1.22.4~rc2-2), jgroff (<< 1.17-1)
+Breaks: groff (<< 1.22.4~rc2-2), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
 Multi-Arch: foreign
 Description: GNU troff text-formatting system (base system components)
  This package contains the traditional UN*X text formatting tools
  troff, nroff, tbl, eqn, and pic. These utilities, together with the
- man-db package, are essential for displaying the on-line manual pages. 
+ man-db package, are essential for displaying the on-line manual pages.
  .
  groff-base is a stripped-down package containing the necessary components
  to read manual pages in ASCII, Latin-1, and UTF-8, plus the PostScript
