=== debian/watch ===
# Official releases:
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://ftp.gnu.org/gnu/groff/groff-([^-]*)\.tar\.gz

# Betas and pre-releases:
#version=3
#opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/\.rc/~rc/ \
#https://alpha.gnu.org/gnu/groff/groff-([^-]*)\.tar\.gz
